/***************************************************************************
 *            Timer.h
 *
 *  FUPPES - Free UPnP Entertainment Service
 *
 *  Copyright (C) 2005 Ulrich Völkel <u-voelkel@users.sourceforge.net>
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _TIMER_H
#define _TIMER_H

#include "Common.h"

class ITimer
{
  public:
    virtual void OnTimer() = 0; 
};

class CTimer
{
  public:
    CTimer(ITimer* p_OnTimerHandler);
    ~CTimer();
  
    void CallOnTimer();
    void SetInterval(unsigned int p_nSeconds);
    unsigned int GetInterval() { return m_nInterval; }
    void Start();
    void Stop();
    void Reset();
  
    unsigned int GetCount();
  
    unsigned int m_nTickCount;    
    bool         m_bDoBreak;    
    
  private:
    fuppesThread  m_TimerThread;    
    ITimer*       m_pOnTimerHandler;
    unsigned int  m_nInterval;        
    void          Cleanup();
};

#endif /* _TIMER_H */
